From: ST%"[email-masked]@UTARLVM1.UTA.EDU" 11-JUL-1993 07:51:52.36
To: ZHENGC

Date:         Sun, 11 Jul 1993 17:37:08 +1000
Reply-To:     [email-masked]
Sender:       "China News Digest (Global News)" <[email-masked]>
From:         [email-masked]
Subject:      CND Special Issue on Networking in China
To:           Multiple recipients of list CHINA-NN <[email-masked]>

            *  *  *   C h i n a   N e w s   D i g e s t   *  *  *

                               (News Global)

                  CND Special Issue on Networking in China

                            Sunday, July 11, 1993

Table of Contents                                                 # of Lines
============================================================================
** A Special Report - Current Computing/Networking Status in China ..... 305
============================================================================
Written and forwarded by: Cindy Zheng ([email-masked]) 7/2/93

[Editor's note: Ms Cindy Zheng returned to China for a visit last month and
came back with an excellent report on the current computing/networking
status in China. We hope readers, particularly those with a keen interest in
computer development and networking facilities in China, will enjoy this
highly informative report. Please also note, US$1 = 8.5 to 10 RMB Yuan]

My name is Cindy Zheng.  I grew up in the People's Republic of China (PRC),
came to the U.S. 13 years ago, and am currently working at San Diego
Supercomputer Center as a systems manager.  Our center's director, Dr. Sid
Karin, is a foreign advisor to the Key Study Development Project (KSDP) in
the PRC.  This project is financed by the World Bank and the State Planning
Committee of the PRC.  At the end of 1992, Dr Karin came back from KSDP
Programme Advisory Committee meeting in Beijing.  He discussed with me many
isuues of the project.  I took special interest in China's internet
connection issue and have worked with Dr. Karin, some U.S. commercial
carriers, network providers and my network friends to investigate and to
promote the possibilities.

In June 1993, I finally made my first trip back to Beijing. Dr. Karin asked
me to be his representative, to assess and to collaborate with NCFC
(National Computer Networking Facility of China) project which is part of
KSDP.  I also wanted to find out what people in China are thinking and doing
about establishing direct network connections to the internet.

Beside the three NCFC sites, Peking University (PU), TsingHua University
(TU) and Chinese Academy of Sciences (CAS), I also visited the Institute of
Computer Application (ICA) under the Ministry of Machinery and Electronics
Industry, the Institute of Scientific and Technical Information of China
(ISTIC) and the Institute of High Energy Physics (IHEP).  I was invited to
give talks on internet and on San Diego Supercomputer Center, met with the
people in charge at each of the institutions, and discussed many important
issues with them.

At the Institute of Computer Applications, I talked to Qian Tianbai, Vice-
Chief Engineer in ICA and manager and administrator of CAnet, which is a
X.25-based email network coinitiated by ICA and the University of Karlsruhe
Germany.  Canet is the first network within CN domain registered with NIC
(Network Information Center) in the U.S..

The situation of CAnet has been described by Qian himself in an email and
also in Ernest Anderson's report on Jan 12, 1992.  Due to the high cost of
sending and receiving emails via this connection, there has been no change
other than having a few more email users.

I also learned, initially from Qian, that the Science and Technology
Committee, the State Planning committee and NCFC met early this year and
decided to go for direct internet connection to the U.S. and also there is a
preparation committee in the making, attempting to coordinate all the
network connectivities under CN domain within the PRC.

Through my visit, I found that there seemed to be some concern over which
organization was going to host NIC.CN (Network Information Center) inside
the PRC.  Some erroneously thought that NIC was the focal point for all
physical connectivity.  Some were afraid that NIC would have authority over
all the network connections.  Everywhere I went, I explained how NIC works
in the U.S. in order to clear up any misunderstandings on NIC's
functionalities so that hopefully the future NIC for the CN domain would not
be an authoritative unit.

In the PRC's last 40-year history, coordination between government branches
has been mostly initiated top-down.  There is a lack of foresight and
habitual lack of coordinating bottom-up.  In the current environment of
rampant power struggle and corruption, there is the tendency for a service
unit to turn into an authoritative unit and get abused.

The Institute of High Energy Physics is one of many research institutes
under Chinese Academy of Sciences.  There is a link, 64k leased line,
between IHEP and SLAC in Stanford University. Physically, the link is a
telephone line out of IHEP to a local BTP (Beijing Telecommunications and
Post) office building, then through a fiber optic cable to a microwave
station, from the microwave station to a satelite ground station in the
suburb of Beijing, then via AT&T satelite link which finally ends up at SLAC
in Stanford to the net.

This link was established due to the need on both sides - IHEP and SLAC.
These 2 institutions are collaborating on a big research project and both
sides feel the urgent need to communicate.  So SLAC is willing to be the
connecting point for IHEP and is willing to pay for the cost on AT&T side.
IHEP now is paying about 40,000 RMB/month (approx. $4,000) to BTP.

The usage on the link is mostly email, normally at 1-2% of capacity.
However, the data that need to be transferred is too much for the link
capacity. So they still ship tapes back and forth instead of using the link
to transfer data.  SLAC opens accounts for IHEP people on SLAC's machines,
so some people at IHEP do have internet access. But the usage of this link
cannot be extended to general use by other institutions due to the nature of
the foundation on which the link is established.

I spent a whole day at the Chinese Academy of Sciences, talked to Ning
YuTian, the Director of NCFC Computer Network Center (CNC), Qian HuaLin, the
Deputy Chief Engineer of CNC and many others.  Qian gave a progress report
on NCFC and Su Zhenzi, the Deputy Director of CAS Computer Center, gave a
progress report on the bid for the main computer system of NCFC.  I was
asked to give a talk about San Diego Supercomputer Center (SDSC) and
internet.  I talked about internet development history, emphasized
government support of networking as basic infrastructure, talked about how
internet works now, especially about NIC's function and role, talked about
the rich resources internet can offer, gave practical tips on how to
establish an internet connection and suggested certain criteria in choosing
the best network carrier and provider.  I also introduced SDSC's mission,
how each department works, how the four supercomputer centers under the
National Science Foundation (NSF) in the U.S. compete and collaborate.

These talks and discussions cleared up many misconceptions. Some people
there had approached the U.S. Government or the U.S. NSF and asked for
permission to connect to internet and got negative answers, hence became
very discouraged. I explained to them that government branches are the wrong
places to ask internet questions.  They should approach commercial carriers
and network providers for a positive response.

All the institutions I visited are very anxious to establish direct
connections to internet in the U.S.  NCFC is especially ready technically
and financially.  Multi-protocol routers from DEC will arrive in July.  CNC
(NCFC Computer Network Center) people have done some investigations on
network carriers and providers: JVNCnet, Sprint, South Korea (256k) and Hong
Kong (64k) etc.  They are continuing on more fact-finding and detail
negotiations.

There have been a few reports about NCFC project that are widely read and
routed on the internet.  I will only update the progress made this year.
NCFC backbone - fiber optic cables are all in place now, waiting for the
network routers to arrive to connect among three campus nets (PUnet, TUnet
and CASnet).  These routers are multi-protocol routers.  Both DECnet and
TCP/IP protocols are commonly used in China.  Within a local area network,
subnet routers are developed by local technical people, using PC.  They are
just as good as what they could have imported, but cost much less.  For
example, imported network bridges cost $12,000 each, but locally developed
ones cost only $1,500 each, with multi-port, SLIP and multi-media
capabilities too. They are also working on routers' enhancements, to carry
TCP/IP traffic on ethernet, SLIP and X.25, so remote connection can be
established to NCFC via CNPAC which is the domestic communication network
provided by PTT (Ministry of Post, Telephone and Telegraph).

All three institutions under NCFC (Chinese Academy of Sciences, Peking
University and Tsinghua University)  have started on the second phase of the
NCFC project - application development. CAS-MIS has created 20 databases
locally, they also initiated SDB (Science Database) project.

There has been total $2.25 million supplemental investment made by the 3
institutions - CAS, PU and TU.  CAS expanded their LAN, currently connected
19 of their research institutions and will connect 11 more by the end of
this year.  Right now the fiber-optic cable for 13 more ethernets has
arrived, the engineering design is completed.  CAS is in the process of
selecting contractors to sign the contracts and start the actual
construction.

At CAS, 100 mbps FDDI ring is operational and a 10 mbps bridge loop is an
on-line automatic back-up.  There are about 100 accounts established on
CASnet systems and CAS has conducted some user network training.

CAS is responsible for CNC (Computer Network Center) and intended to make it
a supercomputer center which will be shared by other educational and
research institutions.  This involves the purchasing of a supercomputer.

This main computer system is a major item funded under NCFC project. Because
the funding comes from both the World Bank and the State Planning Committee,
the bid procedure is double complicated.  Starting in 1991 but not until
April 1993, was NCFC able to complete the technical bid document and
submitted to WB for approval.  This is the first major step in the
purchasing procedure and it is the hardest one too.

The progress has been slow, from what I learned, there are three reasons:

1. the required procedure itself is lengthy,
2. the U.S. restrictions to China on exporting high-end computer systems,
3. distrust among different institutions in NCFC

The major obstacle is the U.S. export restrictions to China. In the
scientific and research arena of the PRC, there is a definite need for
supercomputers.  I visited some laboratories within CAS.  Many research
projects require massive computing power and are now crawling on outdated
small systems.  The U.S. is mainly concerned with any possible military use
of exported supercomputers, and therefore attaches conditions such as the
U.S. personnel must stay with the system to monitor its usage.  Chinese side
has no problem with such conditions, but cannot afford to pay such personnel
at the U.S. salary level.

The type of systems they can get without such problems are mid-range
computers; in the U.S. we categorize them as mainframes.

Within NCFC, there are two different opinions on the solution. One is to
purchase the best it can get and share it within and beyond NCFC.  Another
is to purchase many workstations instead and spread them among different
institutions.  This argument is not only provoked by the difficulty of
getting a real supercomputer, but also motivated by the distrust among
different institutions.  Historically, this is the extension of the argument
about whether and where should the CNC be.  CAS won a very marginal majority
vote (by one vote) on hosting CNC there.

Up to now, there are still three possible configurations for the main
systems:

1. 1 supercomputer with both vector-scalar functionalities
2. 2 mid-size systems
3. many workstations forming a cluster

These arguments and indecision also slowed down the progress in completing
the bid documents.

I visited Peking University Computer Center (PUCC), talked to Zhang Xinghua,
the Director of PUCC, Ren Shoukui, the Director of PU Computer Networks Lab
and others.  I was invited to talk about internet and SDSC and Ren Shoukui
gave a report on PUnet.  Peking University Computing Center has a staff of
64.  Peking University has one of the top libraries in the country and is
leading the effort in developing a library information retrieval system. Its
library purchases reach $400,000/year, 80,000 books a year.  The software
for automated management system is completed and operational on their VAX
11/750. But due to limited computing power of the hardware, there can be at
most 8-10 users on-line at a time and access is very slow.

Professor Hu Daoyuan is the brain behind TUnet.  He showed me the TU
Computer Center and explained to me the progresses made on TUnet. TsingHua
University's FDDI ring is operational.  One third of total 2,000 computers,
PCs, are connected now.  There is a concentrator connected on the FDDI
rings, but no workstations are attached so far because they cannot afford
the FDDI interfaces for the workstations.

TU has an international email connection via X.400 to Canada's University of
British Columbia.  The cost is the fee for the leased line plus $0.09/min
and $0.008/seg(64B) at 2400 or 4800 baud.  This connection is still in its
"trial run" period and the current traffic volume is insignificant.

At TU, a menu-driven Chinese email system is developed in order to help
non-computer, non-English users use email. TU is also leading the effort in
multi-media research and development and specifically it is attempting to
attach voice with email.

Among the three institutions within NCFC, Tsinghua University is most
aggressive in commercializing its expertise in computer technology.
Currently it has contracted to do domestic users training for MicroSoft and
AT&T.  It also has turned some of its own research results into computer and
network products.

The Institute of Science and Technology Information of China is under China
Science and Technology Committee.  ISTIC has an VAX11/750 for Chinese
database search.  It maintains research results, papers, patents, registered
business names.  They charge businesses for joining the listing and charge
users who use CNPAC or dial-in to do the search. The most popular database
there is patents'.  But the search is slow and cannot accommodate many users
at a time due to the limited computing power on the small VAX machine.  They
are planning soon to upgrade the VAX to 6100.

ISTIC also has a database in English, on an IBM 4381.  But they have
problems in connecting it to the network and the database is not complete,
nor updated.  So users prefer to do searches outside the country via
international connections, but CNPAC makes it very expensive.

A few days after my visit to ISTIC and discussions with Chief Engineer Lian
Yachun, he invited me back to meet more officials and to give a talk on
internet.  Present were the officals of ISTIC and of BTP; among them are
Prof. Chen TongBao, director of New Technology Department, The Bureau of
Scientific and Technical Information under State Science and Technology
Commission of China; Liu Zhicai, Assistant Director, Division of Planning
and Operation, ISTIC; Zuo Feng, Chief Engineer of Data Comminication
Service, BTP and others.

Again, the same types of misinformation among ISTIC and BTP people regarding
the U.S. permission to China-internet connection and NIC's functionalities
etc. were cleared up through the talks.  I also learned more about CNPAC and
its role in China's networking.

Since 1991, CNPAC has been installing 64k/128k links reaching some major
cities like Beijing and Shanghai.  Currently there are eight major cities
that can be reached via 64k links.  CNPAC plans to have 64k lines reaching
every province by the end of 1993.

The BTP-charge for a leased line to connect to Internet in the U.S. is
estimated at $5,000/month.

Unlike the U.S. carriers, CNPAC has the monopoly over general communications
business in the country.  CNPAC is definitely trying to maintain its
monopoly in future networking business too.  It likes to have all major
routers under its control, and have everyone else connect only through it.
To prevent routers outside CNPAC from becoming major or alternative routers,
CNPAC will prohibit sharing on all lines not leased to CNPAC.  This is
definitely unfair competition and CNPAC's monopoly will likely make
networking too expensive to expand, and may hinder future network
development in China.

All people present in the meeting at ISTIC, including people from BTP, think
that high-level governmant leaders do not know what internet is and how
beneficial it is to have its resources available via direct connection; and
all agree that it is important to inform them.  I suggested to them that
they call a meeting when a colleague of mine and computer network
professional, Jian Ding visits Beijing in Mid-July, and have as many
high-level officials as possible attend the meeting.  At that time Jian Ding
can give a talk and demo on internet resources and usage.  This is one
action item that resulted from this meeting.

One more thing I learned about network development in China is a project
initiated by the Ministry of Electronics PRC, called EDI - Electronics Data
Interchange.  EDI intends to build a commercial network in China with
international connections.  Its major financing will come from commercial
companies.  The feelings there are that this network may develop very
quickly due to its strong financial backing.  Because of time constraints, I
was not able to talk to the people in charge of EDI project and will have to
leave it to Jian Ding to do so.

As the result of the trip, although there are difficulties, I feel that the
time has come for China to soon become part of the internet community.
Visits by network professionals between China and other countries act as the
preliminary "internet connections" to China.  I'd like to thank all the
people in the U.S. and in China who made my trip possible and fruitful!

Cindy Zheng 7/2/93

+--------------------------------------------------------------------------+
|         Executive Editor:   XU Ming Yang    in Sydney, Australia         |
+--------------------------------------------------------------------------+
|   China News Digest (CND) offers the following services:                 |
|    (1) Global News (Daily)      (2) US Regional News                     |
|    (3) Canada Regional News     (4) Europe & Pacific Regional News       |
|    (5) Hua Xia Wen Zhai (Weekly Chinese Magazine)                        |
|    (6) Several Information Packages                                      |
|   To subscribe or get info,  mail to: [email-masked]                   |
|   To contribute news, please send to: [email-masked]                 |
+--------------------------------------------------------------------------+